## NAS System Info indication NAS System Info indication |

## Functions

QmiIndicationNasSystemInfoOutput * | qmi_indication_nas_system_info_output_ref ()
void | qmi_indication_nas_system_info_output_unref ()
gboolean | qmi_indication_nas_system_info_output_get_sim_reject_info ()
gboolean | qmi_indication_nas_system_info_output_get_lte_embms_coverage_info_support ()
gboolean | qmi_indication_nas_system_info_output_get_td_scma_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_td_scdma_service_status ()
gboolean | qmi_indication_nas_system_info_output_get_plmn_not_changed_indication ()
gboolean | qmi_indication_nas_system_info_output_get_wcdma_cipher_domain ()
gboolean | qmi_indication_nas_system_info_output_get_gsm_cipher_domain ()
gboolean | qmi_indication_nas_system_info_output_get_lte_voice_support ()
gboolean | qmi_indication_nas_system_info_output_get_wcdma_call_barring_status ()
gboolean | qmi_indication_nas_system_info_output_get_gsm_call_barring_status ()
gboolean | qmi_indication_nas_system_info_output_get_additional_lte_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_additional_wcdma_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_additional_gsm_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_additional_hdr_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_additional_cdma_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_lte_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_wcdma_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_gsm_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_hdr_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_cdma_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_lte_service_status ()
gboolean | qmi_indication_nas_system_info_output_get_wcdma_service_status ()
gboolean | qmi_indication_nas_system_info_output_get_gsm_service_status ()
gboolean | qmi_indication_nas_system_info_output_get_hdr_service_status ()
gboolean | qmi_indication_nas_system_info_output_get_cdma_service_status ()

## Types and Values

| QmiIndicationNasSystemInfoOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationNasSystemInfoOutput

## Description

## Functions

### qmi_indication_nas_system_info_output_ref ()

    QmiIndicationNasSystemInfoOutput *
    qmi_indication_nas_system_info_output_ref
                                   (QmiIndicationNasSystemInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_indication_nas_system_info_output_unref ()

    void
    qmi_indication_nas_system_info_output_unref
                                   (QmiIndicationNasSystemInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |

Since: 1.0

### qmi_indication_nas_system_info_output_get_sim_reject_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_sim_reject_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasSimRejectState *value_sim_reject_info,
                                    GError **error);

Get the 'SIM Reject Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_sim_reject_info | a placeholder for the output QmiNasSimRejectState, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_lte_embms_coverage_info_support ()

    gboolean
    qmi_indication_nas_system_info_output_get_lte_embms_coverage_info_support
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_lte_embms_coverage_info_support,
                                    GError **error);

Get the 'LTE eMBMS Coverage Info Support' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_lte_embms_coverage_info_support | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_td_scma_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_td_scma_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_td_scma_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_td_scma_system_info_domain,
                                    gboolean *value_td_scma_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_td_scma_system_info_service_capability,
                                    gboolean *value_td_scma_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_td_scma_system_info_roaming_status,
                                    gboolean *value_td_scma_system_info_forbidden_valid,
                                    gboolean *value_td_scma_system_info_forbidden,
                                    gboolean *value_td_scma_system_info_lac_valid,
                                    guint16 *value_td_scma_system_info_lac,
                                    gboolean *value_td_scma_system_info_cid_valid,
                                    guint32 *value_td_scma_system_info_cid,
                                    gboolean *value_td_scma_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_td_scma_system_info_registration_reject_domain,
                                    guint8 *value_td_scma_system_info_registration_reject_cause,
                                    gboolean *value_td_scma_system_info_network_id_valid,
                                    const gchar **value_td_scma_system_info_mcc,
                                    const gchar **value_td_scma_system_info_mnc,
                                    gboolean *value_td_scma_system_info_hs_call_status_valid,
                                    QmiNasWcdmaHsService *value_td_scma_system_info_hs_call_status,
                                    gboolean *value_td_scma_system_info_hs_service_valid,
                                    QmiNasWcdmaHsService *value_td_scma_system_info_hs_service,
                                    gboolean *value_td_scma_system_info_cell_parameter_id_valid,
                                    guint16 *value_td_scma_system_info_cell_parameter_id,
                                    gboolean *value_td_scma_system_info_cell_broadcast_support_valid,
                                    QmiNasCellBroadcastCapability *value_td_scma_system_info_cell_broadcast_support,
                                    gboolean *value_td_scma_system_info_cs_call_barring_status_valid,
                                    QmiNasCallBarringStatus *value_td_scma_system_info_cs_call_barring_status,
                                    gboolean *value_td_scma_system_info_ps_call_barring_status_valid,
                                    QmiNasCallBarringStatus *value_td_scma_system_info_ps_call_barring_status,
                                    gboolean *value_td_scma_system_info_cipher_domain_valid,
                                    QmiNasNetworkServiceDomain *value_td_scma_system_info_cipher_domain,
                                    GError **error);

Get the 'TD SCMA System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_td_scma_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_td_scma_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_td_scma_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. |
value_td_scma_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. |
value_td_scma_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. |
value_td_scma_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_td_scma_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. |
value_td_scma_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. |
value_td_scma_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. |
value_td_scma_system_info_hs_call_status_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_hs_call_status | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. |
value_td_scma_system_info_hs_service_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_hs_service | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. |
value_td_scma_system_info_cell_parameter_id_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_cell_parameter_id | a placeholder for the output guint16, or `NULL` if not required. |
value_td_scma_system_info_cell_broadcast_support_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_cell_broadcast_support | a placeholder for the output QmiNasCellBroadcastCapability, or `NULL` if not required. |
value_td_scma_system_info_cs_call_barring_status_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_cs_call_barring_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. |
value_td_scma_system_info_ps_call_barring_status_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_ps_call_barring_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. |
value_td_scma_system_info_cipher_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_td_scma_system_info_cipher_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_td_scdma_service_status ()

    gboolean
    qmi_indication_nas_system_info_output_get_td_scdma_service_status
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasServiceStatus *value_td_scdma_service_status_service_status,
                                    QmiNasServiceStatus *value_td_scdma_service_status_true_service_status,
                                    gboolean *value_td_scdma_service_status_preferred_data_path,
                                    GError **error);

Get the 'TD SCDMA Service Status' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_td_scdma_service_status_service_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
value_td_scdma_service_status_true_service_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
value_td_scdma_service_status_preferred_data_path | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_plmn_not_changed_indication ()

    gboolean
    qmi_indication_nas_system_info_output_get_plmn_not_changed_indication
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_plmn_not_changed_indication,
                                    GError **error);

Get the 'PLMN Not Changed Indication' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_plmn_not_changed_indication | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_wcdma_cipher_domain ()

    gboolean
    qmi_indication_nas_system_info_output_get_wcdma_cipher_domain
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasNetworkServiceDomain *value_wcdma_cipher_domain,
                                    GError **error);

Get the 'WCDMA Cipher Domain' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_wcdma_cipher_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_gsm_cipher_domain ()

    gboolean
    qmi_indication_nas_system_info_output_get_gsm_cipher_domain
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasNetworkServiceDomain *value_gsm_cipher_domain,
                                    GError **error);

Get the 'GSM Cipher Domain' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_gsm_cipher_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_lte_voice_support ()

    gboolean
    qmi_indication_nas_system_info_output_get_lte_voice_support
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_lte_voice_support,
                                    GError **error);

Get the 'LTE Voice Support' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_lte_voice_support | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_wcdma_call_barring_status ()

    gboolean
    qmi_indication_nas_system_info_output_get_wcdma_call_barring_status
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasCallBarringStatus *value_wcdma_call_barring_status_cs_status,
                                    QmiNasCallBarringStatus *value_wcdma_call_barring_status_ps_status,
                                    GError **error);

Get the 'WCDMA Call Barring Status' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_wcdma_call_barring_status_cs_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. |
value_wcdma_call_barring_status_ps_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_gsm_call_barring_status ()

    gboolean
    qmi_indication_nas_system_info_output_get_gsm_call_barring_status
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasCallBarringStatus *value_gsm_call_barring_status_cs_status,
                                    QmiNasCallBarringStatus *value_gsm_call_barring_status_ps_status,
                                    GError **error);

Get the 'GSM Call Barring Status' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_gsm_call_barring_status_cs_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. |
value_gsm_call_barring_status_ps_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_additional_lte_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_additional_lte_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    guint16 *value_additional_lte_system_info_geo_system_index,
                                    GError **error);

Get the 'Additional LTE System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_additional_lte_system_info_geo_system_index | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_additional_wcdma_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_additional_wcdma_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    guint16 *value_additional_wcdma_system_info_geo_system_index,
                                    QmiNasCellBroadcastCapability *value_additional_wcdma_system_info_cell_broadcast_support,
                                    GError **error);

Get the 'Additional WCDMA System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_additional_wcdma_system_info_geo_system_index | a placeholder for the output guint16, or `NULL` if not required. |
value_additional_wcdma_system_info_cell_broadcast_support | a placeholder for the output QmiNasCellBroadcastCapability, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_additional_gsm_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_additional_gsm_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    guint16 *value_additional_gsm_system_info_geo_system_index,
                                    QmiNasCellBroadcastCapability *value_additional_gsm_system_info_cell_broadcast_support,
                                    GError **error);

Get the 'Additional GSM System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_additional_gsm_system_info_geo_system_index | a placeholder for the output guint16, or `NULL` if not required. |
value_additional_gsm_system_info_cell_broadcast_support | a placeholder for the output QmiNasCellBroadcastCapability, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_additional_hdr_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_additional_hdr_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    guint16 *value_additional_hdr_system_info_geo_system_index,
                                    GError **error);

Get the 'Additional HDR System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_additional_hdr_system_info_geo_system_index | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_additional_cdma_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_additional_cdma_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    guint16 *value_additional_cdma_system_info_geo_system_index,
                                    guint16 *value_additional_cdma_system_info_registration_period,
                                    GError **error);

Get the 'Additional CDMA System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_additional_cdma_system_info_geo_system_index | a placeholder for the output guint16, or `NULL` if not required. |
value_additional_cdma_system_info_registration_period | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_lte_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_lte_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_lte_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_lte_system_info_domain,
                                    gboolean *value_lte_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_lte_system_info_service_capability,
                                    gboolean *value_lte_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_lte_system_info_roaming_status,
                                    gboolean *value_lte_system_info_forbidden_valid,
                                    gboolean *value_lte_system_info_forbidden,
                                    gboolean *value_lte_system_info_lac_valid,
                                    guint16 *value_lte_system_info_lac,
                                    gboolean *value_lte_system_info_cid_valid,
                                    guint32 *value_lte_system_info_cid,
                                    gboolean *value_lte_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_lte_system_info_registration_reject_domain,
                                    guint8 *value_lte_system_info_registration_reject_cause,
                                    gboolean *value_lte_system_info_network_id_valid,
                                    const gchar **value_lte_system_info_mcc,
                                    const gchar **value_lte_system_info_mnc,
                                    gboolean *value_lte_system_info_tac_valid,
                                    guint16 *value_lte_system_info_tac,
                                    GError **error);

Get the 'LTE System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_lte_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_lte_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_lte_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. |
value_lte_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. |
value_lte_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. |
value_lte_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_lte_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. |
value_lte_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. |
value_lte_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. |
value_lte_system_info_tac_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_system_info_tac | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_wcdma_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_wcdma_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_wcdma_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_wcdma_system_info_domain,
                                    gboolean *value_wcdma_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_wcdma_system_info_service_capability,
                                    gboolean *value_wcdma_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_wcdma_system_info_roaming_status,
                                    gboolean *value_wcdma_system_info_forbidden_valid,
                                    gboolean *value_wcdma_system_info_forbidden,
                                    gboolean *value_wcdma_system_info_lac_valid,
                                    guint16 *value_wcdma_system_info_lac,
                                    gboolean *value_wcdma_system_info_cid_valid,
                                    guint32 *value_wcdma_system_info_cid,
                                    gboolean *value_wcdma_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_wcdma_system_info_registration_reject_domain,
                                    guint8 *value_wcdma_system_info_registration_reject_cause,
                                    gboolean *value_wcdma_system_info_network_id_valid,
                                    const gchar **value_wcdma_system_info_mcc,
                                    const gchar **value_wcdma_system_info_mnc,
                                    gboolean *value_wcdma_system_info_hs_call_status_valid,
                                    QmiNasWcdmaHsService *value_wcdma_system_info_hs_call_status,
                                    gboolean *value_wcdma_system_info_hs_service_valid,
                                    QmiNasWcdmaHsService *value_wcdma_system_info_hs_service,
                                    gboolean *value_wcdma_system_info_primary_scrambling_code_valid,
                                    guint16 *value_wcdma_system_info_primary_scrambling_code,
                                    GError **error);

Get the 'WCDMA System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_wcdma_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_wcdma_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_wcdma_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. |
value_wcdma_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. |
value_wcdma_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. |
value_wcdma_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_wcdma_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. |
value_wcdma_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. |
value_wcdma_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. |
value_wcdma_system_info_hs_call_status_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_hs_call_status | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. |
value_wcdma_system_info_hs_service_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_hs_service | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. |
value_wcdma_system_info_primary_scrambling_code_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_wcdma_system_info_primary_scrambling_code | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_gsm_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_gsm_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_gsm_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_gsm_system_info_domain,
                                    gboolean *value_gsm_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_gsm_system_info_service_capability,
                                    gboolean *value_gsm_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_gsm_system_info_roaming_status,
                                    gboolean *value_gsm_system_info_forbidden_valid,
                                    gboolean *value_gsm_system_info_forbidden,
                                    gboolean *value_gsm_system_info_lac_valid,
                                    guint16 *value_gsm_system_info_lac,
                                    gboolean *value_gsm_system_info_cid_valid,
                                    guint32 *value_gsm_system_info_cid,
                                    gboolean *value_gsm_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_gsm_system_info_registration_reject_domain,
                                    guint8 *value_gsm_system_info_registration_reject_cause,
                                    gboolean *value_gsm_system_info_network_id_valid,
                                    const gchar **value_gsm_system_info_mcc,
                                    const gchar **value_gsm_system_info_mnc,
                                    gboolean *value_gsm_system_info_egprs_support_valid,
                                    gboolean *value_gsm_system_info_egprs_support,
                                    gboolean *value_gsm_system_info_dtm_support_valid,
                                    gboolean *value_gsm_system_info_dtm_support,
                                    GError **error);

Get the 'GSM System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_gsm_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_gsm_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_gsm_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. |
value_gsm_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. |
value_gsm_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. |
value_gsm_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_gsm_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. |
value_gsm_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. |
value_gsm_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. |
value_gsm_system_info_egprs_support_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_egprs_support | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_dtm_support_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_gsm_system_info_dtm_support | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_hdr_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_hdr_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_hdr_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_hdr_system_info_domain,
                                    gboolean *value_hdr_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_hdr_system_info_service_capability,
                                    gboolean *value_hdr_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_hdr_system_info_roaming_status,
                                    gboolean *value_hdr_system_info_forbidden_valid,
                                    gboolean *value_hdr_system_info_forbidden,
                                    gboolean *value_hdr_system_info_prl_match_valid,
                                    gboolean *value_hdr_system_info_prl_match,
                                    gboolean *value_hdr_system_info_personality_valid,
                                    QmiNasHdrPersonality *value_hdr_system_info_personality,
                                    gboolean *value_hdr_system_info_protocol_revision_valid,
                                    QmiNasHdrProtocolRevision *value_hdr_system_info_protocol_revision,
                                    gboolean *value_hdr_system_info_is_856_system_id_valid,
                                    const gchar **value_hdr_system_info_is_856_system_id,
                                    GError **error);

Get the 'HDR System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_hdr_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_hdr_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_hdr_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_hdr_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_hdr_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_hdr_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. |
value_hdr_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_hdr_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. |
value_hdr_system_info_prl_match_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_hdr_system_info_prl_match | a placeholder for the output gboolean, or `NULL` if not required. |
value_hdr_system_info_personality_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_hdr_system_info_personality | a placeholder for the output QmiNasHdrPersonality, or `NULL` if not required. |
value_hdr_system_info_protocol_revision_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_hdr_system_info_protocol_revision | a placeholder for the output QmiNasHdrProtocolRevision, or `NULL` if not required. |
value_hdr_system_info_is_856_system_id_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_hdr_system_info_is_856_system_id | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_cdma_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_cdma_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_cdma_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_cdma_system_info_domain,
                                    gboolean *value_cdma_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_cdma_system_info_service_capability,
                                    gboolean *value_cdma_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_cdma_system_info_roaming_status,
                                    gboolean *value_cdma_system_info_forbidden_valid,
                                    gboolean *value_cdma_system_info_forbidden,
                                    gboolean *value_cdma_system_info_prl_match_valid,
                                    gboolean *value_cdma_system_info_prl_match,
                                    gboolean *value_cdma_system_info_p_rev_valid,
                                    guint8 *value_cdma_system_info_p_rev,
                                    gboolean *value_cdma_system_info_base_station_p_rev_valid,
                                    guint8 *value_cdma_system_info_base_station_p_rev,
                                    gboolean *value_cdma_system_info_concurrent_service_support_valid,
                                    gboolean *value_cdma_system_info_concurrent_service_support,
                                    gboolean *value_cdma_system_info_cdma_system_id_valid,
                                    guint16 *value_cdma_system_info_sid,
                                    guint16 *value_cdma_system_info_nid,
                                    gboolean *value_cdma_system_info_base_station_info_valid,
                                    guint16 *value_cdma_system_info_base_station_id,
                                    gint32 *value_cdma_system_info_base_station_latitude,
                                    gint32 *value_cdma_system_info_base_station_longitude,
                                    gboolean *value_cdma_system_info_packet_zone_valid,
                                    guint16 *value_cdma_system_info_packet_zone,
                                    gboolean *value_cdma_system_info_network_id_valid,
                                    const gchar **value_cdma_system_info_mcc,
                                    const gchar **value_cdma_system_info_mnc,
                                    GError **error);

Get the 'CDMA System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_cdma_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_cdma_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_cdma_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. |
value_cdma_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_prl_match_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_prl_match | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_p_rev_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_p_rev | a placeholder for the output guint8, or `NULL` if not required. |
value_cdma_system_info_base_station_p_rev_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_base_station_p_rev | a placeholder for the output guint8, or `NULL` if not required. |
value_cdma_system_info_concurrent_service_support_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_concurrent_service_support | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_cdma_system_id_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_sid | a placeholder for the output guint16, or `NULL` if not required. |
value_cdma_system_info_nid | a placeholder for the output guint16, or `NULL` if not required. |
value_cdma_system_info_base_station_info_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_base_station_id | a placeholder for the output guint16, or `NULL` if not required. |
value_cdma_system_info_base_station_latitude | a placeholder for the output gint32, or `NULL` if not required. |
value_cdma_system_info_base_station_longitude | a placeholder for the output gint32, or `NULL` if not required. |
value_cdma_system_info_packet_zone_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_packet_zone | a placeholder for the output guint16, or `NULL` if not required. |
value_cdma_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. |
value_cdma_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. |
value_cdma_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_lte_service_status ()

    gboolean
    qmi_indication_nas_system_info_output_get_lte_service_status
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasServiceStatus *value_lte_service_status_service_status,
                                    QmiNasServiceStatus *value_lte_service_status_true_service_status,
                                    gboolean *value_lte_service_status_preferred_data_path,
                                    GError **error);

Get the 'LTE Service Status' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_lte_service_status_service_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
value_lte_service_status_true_service_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
value_lte_service_status_preferred_data_path | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_wcdma_service_status ()

    gboolean
    qmi_indication_nas_system_info_output_get_wcdma_service_status
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasServiceStatus *value_wcdma_service_status_service_status,
                                    QmiNasServiceStatus *value_wcdma_service_status_true_service_status,
                                    gboolean *value_wcdma_service_status_preferred_data_path,
                                    GError **error);

Get the 'WCDMA Service Status' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_wcdma_service_status_service_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
value_wcdma_service_status_true_service_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
value_wcdma_service_status_preferred_data_path | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_gsm_service_status ()

    gboolean
    qmi_indication_nas_system_info_output_get_gsm_service_status
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasServiceStatus *value_gsm_service_status_service_status,
                                    QmiNasServiceStatus *value_gsm_service_status_true_service_status,
                                    gboolean *value_gsm_service_status_preferred_data_path,
                                    GError **error);

Get the 'GSM Service Status' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_gsm_service_status_service_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
value_gsm_service_status_true_service_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
value_gsm_service_status_preferred_data_path | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_hdr_service_status ()

    gboolean
    qmi_indication_nas_system_info_output_get_hdr_service_status
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasServiceStatus *value_hdr_service_status_service_status,
                                    gboolean *value_hdr_service_status_preferred_data_path,
                                    GError **error);

Get the 'HDR Service Status' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_hdr_service_status_service_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
value_hdr_service_status_preferred_data_path | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_system_info_output_get_cdma_service_status ()

    gboolean
    qmi_indication_nas_system_info_output_get_cdma_service_status
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    QmiNasServiceStatus *value_cdma_service_status_service_status,
                                    gboolean *value_cdma_service_status_preferred_data_path,
                                    GError **error);

Get the 'CDMA Service Status' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_cdma_service_status_service_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
value_cdma_service_status_preferred_data_path | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

## Types and Values

### QmiIndicationNasSystemInfoOutput

    typedef struct _QmiIndicationNasSystemInfoOutput QmiIndicationNasSystemInfoOutput;

The QmiIndicationNasSystemInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0